#ifndef _TONGYI_DECRYPT_API_H_
#define _TONGYI_DECRYPT_API_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

/***************************************************************************************************
 * @brief                           解密算法模型
 * @param[in] algo_package_path     算法包路径
 * @param[in] sst_path              解密授权文件
 * @param[in] uuid                  设备的唯一标识
 * @param[out] decrypt_model_data   输出明文模型的内存地址
 * @param[out] decrypt_model_size   输出明文模型的大小
 * @return                          成功返回0，失败返回错误码
 * @note                            无
 ***************************************************************************************************/
int tongyi_decrypt_model(const char* algo_package_path, const char* sst_path, const char* uuid, char** decrypt_model_data, uint32_t* decrypt_model_size);

#ifdef __cplusplus
}
#endif

#endif